ViennaCL - The Vienna Computing Library: viennacl::device_specific::builtin_database::database_type< ParamT > Class Template Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Public Member Functions | Public Attributes | List of all members
viennacl::device_specific::builtin_database::database_type< ParamT > Class Template Reference

`#include <common.hpp>`

## Classes
struct | device_architecture_t
struct | device_name_t
struct | device_type_t
struct | expression_t
struct | type

## Public Member Functions
database_type< ParamT > & | operator() (vendor_id_type p0, device_type p1, ocl::device_architecture_family p2, device_name_type p3, scheduler::statement_node_numeric_type p4, ParamT const &p5)
database_type< ParamT > & | add_1B (vendor_id_type p0, device_type p1, ocl::device_architecture_family p2, device_name_type p3, ParamT const &p5)
database_type< ParamT > & | add_2B (vendor_id_type p0, device_type p1, ocl::device_architecture_family p2, device_name_type p3, ParamT const &p5)
database_type< ParamT > & | add_4B (vendor_id_type p0, device_type p1, ocl::device_architecture_family p2, device_name_type p3, ParamT const &p5)
database_type< ParamT > & | add_8B (vendor_id_type p0, device_type p1, ocl::device_architecture_family p2, device_name_type p3, ParamT const &p5)
ParamT const & | at (vendor_id_type p0, device_type p1, ocl::device_architecture_family p2, device_name_type p3, scheduler::statement_node_numeric_type p4) const

## Public Attributes
type | map

## Detailed Description

### template<class ParamT>
class viennacl::device_specific::builtin_database::database_type< ParamT >

Definition at line 44 of file common.hpp.

## Member Function Documentation

template<class ParamT>

database_type<ParamT>& viennacl::device_specific::builtin_database::database_type< ParamT >::add_1B | ( | vendor_id_type | p0,
|  | device_type | p1,
|  | ocl::device_architecture_family | p2,
|  | device_name_type | p3,
|  | ParamT const & | p5
| ) |  |
| inline

Definition at line 63 of file common.hpp.

template<class ParamT>

database_type<ParamT>& viennacl::device_specific::builtin_database::database_type< ParamT >::add_2B | ( | vendor_id_type | p0,
|  | device_type | p1,
|  | ocl::device_architecture_family | p2,
|  | device_name_type | p3,
|  | ParamT const & | p5
| ) |  |
| inline

Definition at line 69 of file common.hpp.

template<class ParamT>

database_type<ParamT>& viennacl::device_specific::builtin_database::database_type< ParamT >::add_4B | ( | vendor_id_type | p0,
|  | device_type | p1,
|  | ocl::device_architecture_family | p2,
|  | device_name_type | p3,
|  | ParamT const & | p5
| ) |  |
| inline

Definition at line 76 of file common.hpp.

template<class ParamT>

database_type<ParamT>& viennacl::device_specific::builtin_database::database_type< ParamT >::add_8B | ( | vendor_id_type | p0,
|  | device_type | p1,
|  | ocl::device_architecture_family | p2,
|  | device_name_type | p3,
|  | ParamT const & | p5
| ) |  |
| inline

Definition at line 83 of file common.hpp.

template<class ParamT>

ParamT const& viennacl::device_specific::builtin_database::database_type< ParamT >::at | ( | vendor_id_type | p0,
|  | device_type | p1,
|  | ocl::device_architecture_family | p2,
|  | device_name_type | p3,
|  | scheduler::statement_node_numeric_type | p4
| ) |  | const
| inline

Definition at line 90 of file common.hpp.

template<class ParamT>

database_type<ParamT>& viennacl::device_specific::builtin_database::database_type< ParamT >::operator() | ( | vendor_id_type | p0,
|  | device_type | p1,
|  | ocl::device_architecture_family | p2,
|  | device_name_type | p3,
|  | scheduler::statement_node_numeric_type | p4,
|  | ParamT const & | p5
| ) |  |
| inline

Definition at line 57 of file common.hpp.

## Member Data Documentation

template<class ParamT>

type viennacl::device_specific::builtin_database::database_type< ParamT >::map

Definition at line 55 of file common.hpp.

The documentation for this class was generated from the following file:

- viennacl/device_specific/builtin_database/common.hpp